---
type: api
title: Delete domain claim
description: Delete domain claim.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-domain-claim-delete
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-domain-claim-delete
products:
  - Elastic Cloud Hosted
---

# Delete domain claim

- Server: `https://api.elastic-cloud.com/api/v1`

## Paths

- `DELETE` `/organizations/{organization_id}/domains`

#### Path Parameters

- `organization_id` (string)
  Identifier for the Organization

## Description

Delete domain claim.

## Request Body

`application/json`

The domain claim to remove

- `domain_claim_request` (string) — required
  The request to remove a domain claim

## Responses

#### `200`

With status 200 ok to signal the domain has been unclaimed

`application/json`

Type: `EmptyResponse`

#### `400`

An IdP is configured for the organization. (code: `org.idp.idp_configured`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `404`

Organization not found. (code: `organization.not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `409`

Concurrent organization modification. (code: `org.domain_claim.concurrent_organization_modification`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
DELETE /organizations/{organization_id}/domains
```

#### curl

```curl
curl -X DELETE "https://api.elastic-cloud.com/api/v1/organizations/{organization_id}/domains"
```

